Subject: bug#17349: 24.3.50; display-battery-mode stops updating after closing and reopening lid

From: Nicolas Richard <[email-masked]>
Date: Thu, 22 Jan 2015 16:33:03 +0100

I use tramp and recentf. Also, I often reopen the lid of my laptop while
having no internet access (namely, in the train). And that's usually
when the battery problem appears for me.

Could all of that be related ?

1. recentf-auto-cleanup-timer (an idle timer) is ran and wants to check
   if the files still exists. For tramp buffers, this tends to hang emacs
   because lack of internet.
2. meanwhile, battery-update-timer (a normal timer) is ran too
3. ??? (something happens, e.g. perhaps user hits C-g because emacs
   seems hung)
4. battery-update-timer is left in the "triggered" state.

Is it possible that two timers interfere ? How would I check this ? It's
a rare problem for me, so I would need something that is not too
invasive.

-- 
Nicolas